KFIFO_PUT(9)

NAME
kfifo_put - puts some data into the FIFO

SYNOPSIS

unsigned int kfifo_put (struct kfifo * fifo, unsigned char * buffer, unsigned int len);

ARGUMENTS

fifo
    the fifo to be used.

buffer
    the data to be added.

len the length of the data to be added.

DESCRIPTION

This function copies at most 'len' bytes from the 'buffer' into the FIFO depending on the free space, and returns the number of bytes copied.